### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface PermissionInfoInterface

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `PermissionExplainedInfoInterface`

All Known Implementing Classes:
  `PermissionInfo`

@SASScope("ALL") @BinaryCompatibilityOnly public interface PermissionInfoInterface extends Remote
Interface methods for setting or obtaining info for a specific Permission.

An PermissionInfoInterface instance represents a single Permissions for an Identity.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PERMISSION_ADMINISTER`
  `static final String`
  `PERMISSION_ALTERTABLE`
  `static final String`
  `PERMISSION_CHECKINMETADATA`
  `static final String`
  `PERMISSION_CREATE`
  `static final String`
  `PERMISSION_CREATETABLE`
  `static final String`
  `PERMISSION_DELETE`
  `static final String`
  `PERMISSION_DROPTABLE`
  `static final String`
  `PERMISSION_EXECUTE`
  `static final String`
  `PERMISSION_INSERT`
  `static final String`
  `PERMISSION_MANAGECREDENTIALSMETADATA`
  `static final String`
  `PERMISSION_MANAGEMEMBERMETADATA`
  `static final String`
  `PERMISSION_READ`
  `static final String`
  `PERMISSION_READMETADATA`
  `static final String`
  `PERMISSION_REFERENCES`
  `static final String`
  `PERMISSION_SELECT`
  `static final String`
  `PERMISSION_UPDATE`
  `static final String`
  `PERMISSION_WRITE`
  `static final String`
  `PERMISSION_WRITEMEMBERMETADATA`
  `static final String`
  `PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPermission()`
  Returns permission
  `String`
  `getPermissionCondition()`
  Returns permission condition value
  `PermissionInfoInterface.PermissionSource`
  `getPermissionSource()`
  Returns the permission source
  `PermissionInfoInterface.PermissionType`
  `getPermissionType()`
  Returns the permission type
  `void`
  `setPermission(String permission)`
  Sets the permission
  `void`
  `setPermissionCondition(String permissionCondition)`
  Sets the permission condition value
  `void`
  `setPermissionType(PermissionInfoInterface.PermissionType permissionType)`
  Sets the permissionType value

- ## Field Details

  - ### PERMISSION_READMETADATA

    static final String PERMISSION_READMETADATA
    See Also:
      - Constant Field Values

  - ### PERMISSION_WRITEMETADATA

    static final String PERMISSION_WRITEMETADATA
    See Also:
      - Constant Field Values

  - ### PERMISSION_WRITEMEMBERMETADATA

    static final String PERMISSION_WRITEMEMBERMETADATA
    See Also:
      - Constant Field Values

  - ### PERMISSION_CHECKINMETADATA

    static final String PERMISSION_CHECKINMETADATA
    See Also:
      - Constant Field Values

  - ### PERMISSION_READ

    static final String PERMISSION_READ
    See Also:
      - Constant Field Values

  - ### PERMISSION_WRITE

    static final String PERMISSION_WRITE
    See Also:
      - Constant Field Values

  - ### PERMISSION_ADMINISTER

    static final String PERMISSION_ADMINISTER
    See Also:
      - Constant Field Values

  - ### PERMISSION_CREATE

    static final String PERMISSION_CREATE
    See Also:
      - Constant Field Values

  - ### PERMISSION_DELETE

    static final String PERMISSION_DELETE
    See Also:
      - Constant Field Values

  - ### PERMISSION_EXECUTE

    static final String PERMISSION_EXECUTE
    See Also:
      - Constant Field Values

  - ### PERMISSION_CREATETABLE

    static final String PERMISSION_CREATETABLE
    See Also:
      - Constant Field Values

  - ### PERMISSION_DROPTABLE

    static final String PERMISSION_DROPTABLE
    See Also:
      - Constant Field Values

  - ### PERMISSION_ALTERTABLE

    static final String PERMISSION_ALTERTABLE
    See Also:
      - Constant Field Values

  - ### PERMISSION_SELECT

    static final String PERMISSION_SELECT
    See Also:
      - Constant Field Values

  - ### PERMISSION_INSERT

    static final String PERMISSION_INSERT
    See Also:
      - Constant Field Values

  - ### PERMISSION_UPDATE

    static final String PERMISSION_UPDATE
    See Also:
      - Constant Field Values

  - ### PERMISSION_REFERENCES

    static final String PERMISSION_REFERENCES
    See Also:
      - Constant Field Values

  - ### PERMISSION_MANAGECREDENTIALSMETADATA

    static final String PERMISSION_MANAGECREDENTIALSMETADATA
    See Also:
      - Constant Field Values

  - ### PERMISSION_MANAGEMEMBERMETADATA

    static final String PERMISSION_MANAGEMEMBERMETADATA
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getPermission

    String getPermission() throws ServiceException, RemoteException
    Returns permission
    Returns:
      permission
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setPermission

    void setPermission(String permission) throws ServiceException, RemoteException
    Sets the permission
    Parameters:
      `permission` - permission to set
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPermissionType

    PermissionInfoInterface.PermissionType getPermissionType() throws ServiceException, RemoteException
    Returns the permission type
    Returns:
      permission type
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setPermissionType

    void setPermissionType(PermissionInfoInterface.PermissionType permissionType) throws ServiceException, RemoteException
    Sets the permissionType value
    Parameters:
      `permission` - type value to set
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPermissionSource

    PermissionInfoInterface.PermissionSource getPermissionSource() throws ServiceException, RemoteException
    Returns the permission source
    Returns:
      permission source
    Throws:
      `ServiceException`
      `RemoteException`

  - ### getPermissionCondition

    String getPermissionCondition() throws ServiceException, RemoteException
    Returns permission condition value
    Returns:
      permission condition value
    Throws:
      `ServiceException`
      `RemoteException`

  - ### setPermissionCondition

    void setPermissionCondition(String permissionCondition) throws ServiceException, RemoteException
    Sets the permission condition value
    Parameters:
      `permission` - condition value to set
    Throws:
      `ServiceException`
      `RemoteException`